### Hierarchy

- ConversionService

## Index

### Constructors

- constructor

### Properties

- _type
- destination
- source
- status
- yayson

### Accessors

- type
- instance

### Methods

- convert
- fromJsonApi
- toJsonApi

### Object literals

- mappings

## Constructors

### constructor

- new ConversionService(enforcer: any): ConversionService

- - Defined in conversion/conversion-service.ts:74

  #### Parameters

  - ##### enforcer: any

  #### Returns ConversionService

## Properties

### _type

_type: string

- Defined in conversion/conversion-service.ts:74

### destination

destination: any

- Defined in conversion/conversion-service.ts:71

### source

source: any

- Defined in conversion/conversion-service.ts:70

### status

status: any

- Defined in conversion/conversion-service.ts:72

### yayson

yayson: yayson

- Defined in conversion/conversion-service.ts:73

## Accessors

### type

- get type(): string
- set type(value: string): void

- - Defined in conversion/conversion-service.ts:138

  #### Returns string

- - Defined in conversion/conversion-service.ts:142

  #### Parameters

  - ##### value: string

  #### Returns void

### Static instance

- get instance(): any

- - Defined in conversion/conversion-service.ts:131

  #### Returns any

## Methods

### convert

- convert(input: any, inputType?: string, outputType?: string, generateId?: boolean): any

- - Defined in conversion/conversion-service.ts:92

  #### Parameters

  - ##### input: any

  - ##### Default value inputType: string = "generic"

  - ##### Default value outputType: string = "jsonapi"

  - ##### Default value generateId: boolean = false

  #### Returns any

### fromJsonApi

- fromJsonApi(jsonApiObject: any): any

- - Defined in conversion/conversion-service.ts:88

  #### Parameters

  - ##### jsonApiObject: any

  #### Returns any

### toJsonApi

- toJsonApi(data: any, inputType?: string, generateId?: boolean): any

- - Defined in conversion/conversion-service.ts:84

  #### Parameters

  - ##### data: any

  - ##### Default value inputType: string = "generic"

  - ##### Default value generateId: boolean = false

  #### Returns any

## Object literals

### mappings

mappings: object

- Defined in conversion/conversion-service.ts:51

### DrupalToWordpress

DrupalToWordpress: object

- Defined in conversion/conversion-service.ts:52

### body[0].value

body[0].value: string = "content.rendered"

- Defined in conversion/conversion-service.ts:56

### changed[0].value

changed[0].value: string = "modified"

- Defined in conversion/conversion-service.ts:59

### created[0].value

created[0].value: string = "date"

- Defined in conversion/conversion-service.ts:58

### field_meta_tags[0[.value

field_meta_tags[0[.value: string = "meta"

- Defined in conversion/conversion-service.ts:65

### moderation_state[0].target_id

moderation_state[0].target_id: string = "status"

- Defined in conversion/conversion-service.ts:63

### sticky[0].value

sticky[0].value: string = "sticky"

- Defined in conversion/conversion-service.ts:60

### title[0].value

title[0].value: string = "title.rendered"

- Defined in conversion/conversion-service.ts:55

### type[0].target_id

type[0].target_id: string = "type"

- Defined in conversion/conversion-service.ts:62